# Changelog

## 2024-11-18 - 6.0.7 - fix(Qenv)
Fix file path initialization for environment variable files

- Corrected the logic for determining the absolute path for environment files
- Added missing initialization for env.yml file paths

## 2024-11-18 - 6.0.6 - fix(core)
Improve handling of env.json and env.yml file checks

- Check for existence of both env.json and env.yml files and prioritize env.json.
- Consolidate getFromEnvJsonFile and getFromEnvYamlFile methods into getFromEnvYamlOrJsonFile.

## 2024-05-29 to 2024-02-09 - 6.0.5 - update
Updates related to configuration files and data handling.

- Updated description
- Updated tsconfig
- Updated npmextra.json for githost

## 2023-08-09 - 6.0.0 to 6.0.4 - core
Various fixes within the core functionality.

- Fixes and improvements across multiple minor versions

## 2023-08-09 - 5.0.5 - core
Breaking change that impacts core functionality.

- Significant updates leading to breaking changes

## 2023-07-11 to 2022-07-28 - 5.0.2 - organization
Transition to a new organization scheme.

- Switched to new organizational scheme 

## 2022-07-28 - 4.0.11 - core
Breaking change introducing ESM modules.

- Switch to ECMAScript modules

## 2019-01-15 - 3.1.1 - environment
Breaking change in environment handling.

- Treat environment variables as immutable

## 2019-01-14 - 3.0.7 - docker
New feature for Docker secret management.

- Allow Docker secret.json to be named flexibly

## 2018-08-13 - 1.1.7 - scope
Scope update for package management.

- Change scope to @pushrocks/
